Subject: bug#76317: closed (Re: bug#76317: Emacs 31.0.50 4b28c41c4f2b on feature/igc branch; :window-sides-vertical doesn't take effect)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Feb 2025 19:17:04 +0000

Your bug report

#76317: Emacs 31.0.50 4b28c41c4f2b on feature/igc branch; :window-sides-vertical doesn't take effect

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76317: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76317
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76317: Emacs 31.0.50 4b28c41c4f2b on feature/igc branch; :window-sides-vertical doesn't take effect
From: Pip Cet <[email-masked]>
To: Eval Exec <[email-masked]>
Cc: martin rudalics <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Fri, 21 Feb 2025 19:16:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

"Eval Exec" <[email-masked]> writes:

> Haha, thanks!

Closing this bug, then :-)

Pip

Subject: Emacs 31.0.50 4b28c41c4f2b on feature/igc branch; :window-sides-vertical doesn't take effect
From: Eval Exec <[email-masked]>
To: [email-masked]
Date: Sun, 16 Feb 2025 10:38:41 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

```
(defun show-side-window ()
  (display-buffer-in-side-window
    (get-buffer "~/.emacs.d/init.el")
    '((side . left)
       (slot . 0)))
  (display-buffer-in-side-window
    (get-buffer "~/.emacs.d/init.el")
    '((side . bottom)
       (slot . 0))))

(progn
  (setq window-sides-vertical nil)
  (show-side-window)) ;;; eval this first,  I expect left side window
occupy full height, and yes.

(progn
  (setq window-sides-vertical t)
  (show-side-window)) ;; then eval this, I expect bottom window occupy
full width, but not???
```

I expect window-sides-vertical can control bottom side window occupy
full frame width, but not. I think this is a bug.